import * as winston from "winston";
export interface LogApi {
    error(message: string, arg?: any): any;
    info(message: string, arg?: any): any;
    warn(message: string, arg?: any): any;
    trace(message: string, arg?: any): any;
    debug(message: string, arg?: any): any;
    rainbow(message: string, arg?: any): any;
}
export declare function setLogApi(log: LogApi): void;
declare const _default: {
    log: (message: any, obj?: any) => void;
    error: (message: any, err?: any) => void;
    warn: (message: any, obj?: any) => void;
    verbose: (message: any, obj?: any) => void;
    info: (message: any, obj?: any) => void;
    debug: (message: any, obj?: any) => void;
    trace: (message: any, obj?: any) => void;
    rainbow: (message: any, obj?: any) => void;
    close: (callback: any) => void;
};
export default _default;
export declare function createLogger(loglevel: string, addFromInfo: string[]): winston.Logger;
